Skip to main content

Reservation Utilities

Commerce
Reservations
Utility
Email Notifications
REST API
Booking Solutions

What is it?

With the Reservation Utilities API, you can use the endpoints to manage supplemental information that can be included with reservations on the SynXis Platform. You can use the data from these endpoints to enable a custom booking engine, call center application, property management system, or other application to manage reservations for a hotel in the SynXis Platform.

You can use these endpoints in conjunction with the Reservation Services API.

Before You Begin

  • You must authenticate before you can use this API. For full instructions, see Get a Token for REST APIs.
  • At any time, you can go to this API's Reference Documentation tab, where you can make test calls with the following endpoints.

How to use

This section covers the endpoints for this API and examples of how to use them.

GET booking preferences

This endpoint enables you to retrieve a list of booking preferences to use when you create or modify a group, so that the system can track how the group was booked.

[GET] /v1/api/reservation/lists/bookingPreferences

Header Parameters

The following table describes the header parameters for this endpoint:

ElementDescriptionTypeRequired?
Content-TypeUse this to specify the media type of the resource.stringOptional
Accept-LanguageUse this to specify a language code with an optional culture code, so that you can request content in a specified language (for example, en-US).stringOptional
ContextThis is the Business Context for the caller (provided by SynXis).stringOptional
ActivityIdThis is the Activity ID for system tracing. It is unique per request.stringOptional

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).integerRequired
responseOptionsAdd your preferred response options. If you leave this empty, all response options will be returned. The only available value for this is ReturnBookingMethods, which returns a list of group booking methods.stringOptional

Response in JSON

{
  "BookingMethodList":[
    {
      "code":"IBIZ",
      "name":"International business travel",
      "level":"Hotel"
    }
  ]
}

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
BookingMethodListThe array to hold the booking method details.array
codeA unique code to identify the method.string
nameA name to identify the method.string
levelThe level of the Chain, Hotel, or Brand.string

▲ Back to top

GET reservation reasons

This endpoint enables you to retrieve Cancel Reasons, Rate Override Reasons, Room Upgrade Reasons, and Tax Exemption Reasons in a single request and response, instead of calling the individual endpoints.

[GET] /v1/api/reservation/lists/reservationReasons

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "cancelreasons":{
    "links":[
      {
        "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
        "rel":"self"
      }
    ],
    "cancelReasons":[
      {
        "code":"FAM",
        "description":"Family Issues",
        "level":"Hotel",
        "type":"Property",
        "hotel":{
          "id":13098,
          "code":"CHANCON2",
          "name":"SynXis Test Hotel"
        },
        "chain":{
          "id":"9139",
          "code":"SYDCTEST",
          "name":"Synxis Chain hotels"
        }
      }
    ]
  },
  "rateoverridereasons":{
    "links":[
      {
        "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
        "rel":"self"
      }
    ],
    "rateoverridereasons":[
      {
        "code":"MGR",
        "description":"Manager Approval",
        "isdefault":false
      }
    ]
  },
  "roomupgradereasons":{
    "links":[
      {
        "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
        "rel":"self"
      }
    ],
    "roomupgradereasons":[
      {
        "code":"VIP",
        "description":"VIP Guest",
        "isdefault":false
      }
    ]
  },
  "taxexemptionreasons":{
    "links":[
      {
        "href":"https://[ENDPOINT]/api/v1.0/reservation/lists/taxExemptionReasons?hotelId=11113",
        "rel":"self"
      }
    ],
    "taxexemptreasons":[
      {
        "exemptReasonType":"MilitaryEmployeeTaxExempt",
        "exemptReasonLevel":"Hotel",
        "code":"MILITARY",
        "description":"Military Staff Exemption",
        "sortOrder":0
      },
      {
        "exemptReasonType":"FederalTaxExempt",
        "exemptReasonLevel":"Chain",
        "code":"FEDERAL",
        "description":"Federal Exemption",
        "sortOrder":1
      }
    ]
  }
}

Response Elements

The following table explains the elements you receive in the response.

To make the response structure easier to follow, this table prefixes every element with the object and array structure that contains it, like this: ArrayOne.ArrayTwo.ArrayThree.Element

ElementDescriptionType
linksThe array to hold the link information for the request.array
links.hrefThe link for this API request.string
links.relDescribes the relationship between the href and the current request.string
cancelreasonsThe object to hold the link information for the cancel reasons.object
cancelreasons.linksThe array to hold the link information for the request.array
cancelreasons.links.hrefThe link for this API request.string
cancelreasons.links.relDescribes the relationship between the href and the current request.string
cancelreasons.cancelReasonsThe array to hold the details about the cancel reasons.array
cancelreasons.cancelReasons.codeThe application specific code to indicate a cancellation reason.string
cancelreasons.cancelReasons.descriptionThe description of the cancellation reason.string
cancelreasons.cancelReasons.levelThe level of the cancellation reason, such as Hotel.string
cancelreasons.cancelReasons.type

The type of the cancellation reason. Available options are:

• All: This means the reason applies to both Property and Group.

• Group: This means the reason applies only to a Group.

• Property: This means the reason applies only to a Property.

string
cancelreasons.cancelReasons.hotelThe object to hold the hotel information for the cancel reasons.object
cancelreasons.cancelReasons.hotel.idThe ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).integer
cancelreasons.cancelReasons.hotel.codeThe code that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).string
cancelreasons.cancelReasons.hotel.nameThe name of the hotel related to this cancellation reason.string
cancelreasons.cancelReasons.chainThe object to hold the chain information for the cancel reasons.object
cancelreasons.cancelReasons.chain.idThe ID that uniquely identifies a single hotel chain or management group in Aven Hospitality's SynXis Central Reservation System (CRS).string
cancelreasons.cancelReasons.chain.codeThe code that uniquely identifies a single hotel chain or management group in Aven Hospitality's SynXis Central Reservation System (CRS).string
cancelreasons.cancelReasons.chain.nameThe name of the chain related to this cancellation reason.string
rateoverridereasonsThe object to hold the rate override reasons.object
rateoverridereasons.linksThe array to hold the link information for the request.array
rateoverridereasons.links.hrefThe link for this API request.string
rateoverridereasons.links.relDescribes the relationship between the href and the current request.string
rateoverridereasons.rateoverridereasonsThe array to hold the details about the rate override reasons.array
rateoverridereasons.rateoverridereasons.codeThe code to identify the rate override reason.string
rateoverridereasons.rateoverridereasons.descriptionThe description of the rate override reason.string
rateoverridereasons.rateoverridereasons.isdefaultIf this is true, this rate override reason is the default rate override reason. If this is false, this is not the default rate override reason.boolean
roomupgradereasonsThe object to hold the link information for the room upgrade reasons.object
roomupgradereasons.linksThe array to hold the link information for the request.array
roomupgradereasons.links.hrefThe link for this API request.string
roomupgradereasons.links.relDescribes the relationship between the href and the current request.string
roomupgradereasons.roomupgradereasonsThe array to hold the details about the room upgrade reasons.array
roomupgradereasons.roomupgradereasons.codeThe code to identify the room upgrade reason.string
roomupgradereasons.roomupgradereasons.descriptionThe description of the room upgrade reason.string
roomupgradereasons.roomupgradereasons.isdefaultIf this is true, this room upgrade reason is the default room upgrade reason. If this is false, this is not the default room upgrade reason.boolean
taxexemptionreasonsThe object to hold the tax exemption reasons.object
taxexemptionreasons.linksThe array to hold the link information for the request.array
taxexemptionreasons.links.hrefThe link for this API request.string
taxexemptionreasons.links.relDescribes the relationship between the href and the current request.string
taxexemptionreasons.taxexemptreasonsThe array to hold the details about the tax exemption reasons.array
taxexemptionreasons.taxexemptreasons.codeThe code of the fee or tax that is exempted from the price.string
taxexemptionreasons.taxexemptreasons.descriptionThe description of the tax exemption reason.string
taxexemptionreasons.taxexemptreasons.exemptReasonType

The type of the tax exemption reason. Available options are:

• None

• GeneralExemption

• FederalTaxExempt

• StateTaxExempt

• CityTaxExempt

• MilitaryEmployeeTaxExempt

• LocalTaxExempt

• GovernmentEmployeeTaxExempt

• EducationalOrganizationTaxExempt

• ReligiousOrganizationTaxExempt

• CharitableOrganizationTaxExempt

• PrePaidTaxExempt

string
taxexemptionreasons.taxexemptreasons.exemptReasonTypeDescriptionThe name or description for the tax exemption reason type.string
taxexemptionreasons.taxexemptreasons.exemptReasonLevelThe level of the tax exemption reason, such as Chain.string
taxexemptionreasons.taxexemptreasons.sortOrderThe sequence in which to display the search results.integer

▲ Back to top

GET cancel reasons

This endpoint enables you to retrieve a list of standardized reasons that customers can select when they cancel reservations.

[GET] /v1/api/reservation/lists/cancelReasons

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).integerRequired
chainIdAdd the ID that uniquely identifies a single hotel chain or management group in Aven Hospitality's SynXis Central Reservation System (CRS).integerOptional
includeSpecify whether you want to include additional information in the response. The only available value for this is Groups, which returns a list of group cancel reasons in groupCancelReasons.stringOptional

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "cancelReasons":[
    {
      "code":"FAM",
      "description":"Family Issues",
      "level":"Hotel",
      "type":"Property",
      "hotel":{
        "id":13098,
        "code":"CHANCON2",
        "name":"SynXis Test Hotel"
      },
      "chain":{
        "id":"9139",
        "code":"SYDCTEST",
        "name":"Synxis Chain hotels"
      }
    }
  ]
}			

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
cancelReasonsThe array to hold the details about the cancel reasons.array
codeThe application specific code to indicate a cancellation reason.string
descriptionThe description of the cancellation reason.string
levelThe level of the cancellation reason, such as Hotel.string
type

The type of the cancellation reason. Available options are:

• All: This means the reason applies to both Property and Group.

• Group: This means the reason applies only to a Group.

• Property: This means the reason applies only to a Property.

string
hotelThe object to hold the hotel information for the cancel reasons.object
idThe ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).integer
codeThe code that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).string
nameThe name of the hotel related to this cancellation reason.string
chainThe object to hold the chain information for the cancel reasons.object
idThe ID that uniquely identifies a single hotel chain or management group in Aven Hospitality's SynXis Central Reservation System (CRS).string
codeThe code that uniquely identifies a single hotel chain or management group in Aven Hospitality's SynXis Central Reservation System (CRS).string
nameThe name of the chain related to this cancellation reason.string

▲ Back to top

GET room upgrade reasons

This endpoint enables you to retrieve a list of standardized reasons that customers can select when they upgrade a room.

[GET] /v1/api/reservation/lists/roomUpgradeReasons

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "roomupgradereasons":[
    {
      "code":"VIP",
      "description":"VIP Guest",
      "isdefault":false
    }
  ]
}             

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
roomupgradereasonsThe array to hold the details about the room upgrade reasons.array
codeThe code to identify the room upgrade reason.string
descriptionThe description of the room upgrade reason.string
isdefaultIf this is true, this room upgrade reason is the default room upgrade reason. If this is false, this is not the default room upgrade reason.boolean

▲ Back to top

GET rate override reasons

This endpoint enables you to retrieve a list of standardized reasons that agents can select when they perform a rate override.

[GET] /v1/api/reservation/lists/rateOverrideReasons

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired

 

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "rateoverridereasons":[
    {
      "code":"MGR",
      "description":"Manager Approval",
      "isdefault":false
    }
  ]
}			

 

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
rateoverridereasonsThe array to hold the details about the rate override reasons.array
codeThe code to identify the rate override reason.string
descriptionThe description of the rate override reason.string
isdefaultIf this is true, this rate override reason is the default rate override reason. If this is false, this is not the default rate override reason.boolean

▲ Back to top

GET tax exemption reasons

This endpoint enables you to retrieve a list of standardized tax exemption reasons.

[GET] /v1/api/reservation/lists/taxExemptionReasons

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]/api/v1.0/reservation/lists/taxExemptionReasons?hotelId=11113",
      "rel":"self"
    }
  ],
  "taxexemptreasons":[
    {
      "exemptReasonType":"MilitaryEmployeeTaxExempt",
      "exemptReasonLevel":"Hotel",
      "code":"MILITARY",
      "description":"Military Staff Exemption",
      "sortOrder":0
    },
    {
      "exemptReasonType":"FederalTaxExempt",
      "exemptReasonLevel":"Chain",
      "code":"FEDERAL",
      "description":"Federal Exemption",
      "sortOrder":1
    }
  ]
}			

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
taxexemptreasonsThe array to hold the details about the tax exemption reasons.array
codeThe code of the fee or tax that is exempted from the price.string
descriptionThe description of the tax exemption reason.string
exemptReasonType

The type of the tax exemption reason. Available options are:

• None

• GeneralExemption

• FederalTaxExempt

• StateTaxExempt

• CityTaxExempt

• MilitaryEmployeeTaxExempt

• LocalTaxExempt

• GovernmentEmployeeTaxExempt

• EducationalOrganizationTaxExempt

• ReligiousOrganizationTaxExempt

• CharitableOrganizationTaxExempt

• PrePaidTaxExempt

string
exemptReasonTypeDescriptionThe name or description for the tax exemption reason type.string
exemptReasonLevelThe level of the tax exemption reason, such as Chain.string
sortOrderThe sequence in which to display the search results.integer

▲ Back to top

POST to send a notification email

This endpoint enables you to send an email to the primary, secondary, or additional guest email addresses to notify guests that the reservation is booked.

[POST] /v1/api/reservation/notifyReservation

Header Parameters

The following table describes the header parameters for this endpoint.

ElementDescriptionTypeRequired?
Content-TypeUse this to specify the media type of the resource.stringOptional
ContextThis is the Business Context for the caller (provided by SynXis).stringOptional
ActivityIdThis is the Activity ID for system tracing. It is unique per request.stringOptional

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

Format your post request with query parameters (without a post body), like this example (for curl):

curl -X 'POST' 'https://services-c1.synxis.com' \
  -G \
  -d 'crsConfirmationNumber=11113' \
  -d 'primaryGuest=true' \
  -d 'secondaryGuest=true' \
  -d 'additionalEmail=customer%40domain.com' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Context: WBSVC' \
  -H 'ActivityId: alkj5df-48nsn836-sjkknii' \
--data-raw ''

			
ElementDescriptionTypeRequired?
crsConfirmationNumberAdd the confirmation number for the reservation about which you will send the notification.stringRequired
primaryGuestIf this is true, your post will send a notification to the email address of the primary guest. If this is false, your post will not send a notification to the email address of the primary guest.booleanRequired
secondaryGuestIf this is true, your post will send a notification to the email address of the secondary guest. If this is false, your post will not send a notification to the email address of the secondary guest.booleanRequired
additionalEmailAdd the email address of an additonal person to which you want to send the notification. For example, JaneDoe@domain.com.stringRequired

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ]
}			

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string

▲ Back to top

GET market sources

This endpoint enables you to retrieve a list of market sources for a hotel. The market sources are based on the content management strategy defined by the primary chain.

[GET] /v1/api/reservation/lists/marketSources

To request the market sources, you specify a Hotel ID and (optionally) a rate code. If you specify a rate code, all the market sources in the response that are assigned to the rate will have a default value set to true.

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired
rateCodeAdd the rate code associated to a market source.stringOptional
pageStartSpecify the starting record to be returned in the response.stringOptional
pageSizeSpecify the number of records to be returned in the response. To return all records, specify 0.stringOptional

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "marketSources":[
    {
      "code":"Meta",
      "level":"Brand",
      "name":"META search engines",
      "isdefault":false
    }
  ],
  "pagination":{
    "total":1,
    "start":0,
    "size":0
  }
}		

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
marketSourcesThe array to hold the details about the market sources.array
codeThe code for the market source.string
levelThe level of the market source, such as Brand.string
nameThe name of the market source.string
isdefaultIf this is true, this is the default market source. If this is false, this is not the default market source.boolean
paginationThe object to hold the pagination details.object
totalThe total number of records in the response.integer
startThe first record in the response.integer
sizeThe number of records per page in the response.integer

▲ Back to top

GET market segments

This endpoint enables you to retrieve a list of market segments for a hotel.

[GET] /v1/api/reservation/lists/marketSegments

Market segments are used to track geographic, demographic, or other customer classifications targeted by a hotel or chain for the purchase and use of products and services. For example, a hotel can determine its use of advertising dollars based on the type of travelers who stay in the hotel.

Query Parameters

The following table describes the elements that you can include when you query this endpoint:

ElementDescriptionTypeRequired?
hotelIdAdd the hotel ID that uniquely identifies a single hotel property in Aven Hospitality's SynXis Central Reservation System (CRS).stringRequired
rateCodeAdd the rate code associated to a market segment.stringOptional
pageStartSpecify the starting record to be returned in the response.stringOptional
pageSizeSpecify the number of records to be returned in the response. To return all records, specify 0.stringOptional

Response in JSON

{
  "links":[
    {
      "href":"https://[ENDPOINT]]/reservation/api/v1.0/reservation",
      "rel":"self"
    }
  ],
  "marketSegments":[
    {
      "code":"MS1",
      "businessCode":"BS1",
      "leisureCode":"LS1",
      "level":"Hotel",
      "name":"Local Promotion",
      "isdefault":false
    }
  ],
  "pagination":{
    "total":1,
    "start":0,
    "size":0
  }
}		

Response Elements

The following table explains the elements you receive in the response:

ElementDescriptionType
linksThe array to hold the link information for the request.array
hrefThe link for this API request.string
relDescribes the relationship between the href and the current request.string
marketSegmentsThe array to hold the details about the market segments.array
codeThe code for the market segment.string
businessCodeThe business code for the market segment.string
leisureCodeThe leisure code for the market segment.string
levelThe level of the market segment, such as Hotel.string
nameName of a market segment.string
isdefaultIf this is true, this is the default market segment. If this is false, this is not the default market segment.boolean
paginationThe object to hold the pagination details.object
totalThe total number of records in the response.integer
startThe first record in the response.integer
sizeThe number of records per page in the response.integer

▲ Back to top